summaryrefslogtreecommitdiff
path: root/dev-python/msgspec
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-11-25 21:56:46 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-11-25 21:56:46 +0000
commit3adafe6e9c49878e5304ce645a91dc10e2542e19 (patch)
tree1a3cead46442e00b10290bdbb79685b6af46739a /dev-python/msgspec
parentd9c2c4942a16d17094ca5db284e23985f7a8c78a (diff)
downloadbaldeagleos-repo-3adafe6e9c49878e5304ce645a91dc10e2542e19.tar.gz
baldeagleos-repo-3adafe6e9c49878e5304ce645a91dc10e2542e19.tar.xz
baldeagleos-repo-3adafe6e9c49878e5304ce645a91dc10e2542e19.zip
Adding metadata
Diffstat (limited to 'dev-python/msgspec')
-rw-r--r--dev-python/msgspec/Manifest1
-rw-r--r--dev-python/msgspec/msgspec-0.20.0.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/msgspec/Manifest b/dev-python/msgspec/Manifest
index db5fe85d96e9..b420a4cccbdb 100644
--- a/dev-python/msgspec/Manifest
+++ b/dev-python/msgspec/Manifest
@@ -1 +1,2 @@
DIST msgspec-0.19.0.gh.tar.gz 1313340 BLAKE2B c6e0757e4fbd2c2afbd239e483eed09fd872d8c85d14153b13ada3ef39adcd41b2f2b8f249e9747e6eef7627b4c238973593d87733cc8d5c36c5a14c15142279 SHA512 bd44052e58afc0c2653780b4dee75d20de93210950d4cd408abc810e3935d1bfdd30b926c34cd48f3095d4b3c1f45ac7aa4a957dcbc562ebd8b817c81abd16d8
+DIST msgspec-0.20.0.gh.tar.gz 1328648 BLAKE2B 848b29f99148ee1d5a81a6f57fdb515760c838e3ed9b8161f775d5c17b5decf7fc16a6ebd04599a1f2580e98882a7674720da899ba789ae6dbc9659da0d5ba6f SHA512 91d66d79d25ba824bb39dc02b28038c61ce3aa20576867bacbba9e22146dce424247f941b51023cce02d069d25bb2eedfb749feb597679c623d7438bc04422e4
diff --git a/dev-python/msgspec/msgspec-0.20.0.ebuild b/dev-python/msgspec/msgspec-0.20.0.ebuild
new file mode 100644
index 000000000000..4294443c68a4
--- /dev/null
+++ b/dev-python/msgspec/msgspec-0.20.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast serialization and validation library, with builtin support for many formats"
+HOMEPAGE="
+ https://jcristharif.com/msgspec/
+ https://github.com/jcrist/msgspec
+ https://pypi.org/project/msgspec/
+"
+# No tests in sdist
+SRC_URI="https://github.com/jcrist/msgspec/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-8[${PYTHON_USEDEP}]
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Lint tests
+ tests/unit/test_cpylint.py
+ )
+
+ rm -rf msgspec || die
+ epytest tests/unit
+}